unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeeGDIPlus, TeEngine, Series, ExtCtrls, TeeProcs, Chart,
  StdCtrls, Grids;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    StringGrid1: TStringGrid;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
var i: Integer;
begin
  Chart1.View3D:=false;
  Chart1.Legend.Visible:=false;

  with Chart1.AddSeries(TLineSeries) as TLineSeries do
  begin
    Pointer.Visible:=true;
    for i:=0 to 5 do
    begin
      AddXY(i, random*100);

      if i=2 then //to hide the segment between X=2 and X=3
        AddNullXY(i, 0);
    end;
  end;

  StringGrid1.FixedCols:=0;
  StringGrid1.ColCount:=4;
  StringGrid1.RowCount:=1+Chart1[0].Count;
  StringGrid1.Rows[0].Add('Index');
  StringGrid1.Rows[0].Add('X');
  StringGrid1.Rows[0].Add('Y');
  StringGrid1.Rows[0].Add('Null');

  for i:=0 to Chart1[0].Count-1 do
  begin
    //if not Chart1[0].IsNull(i) then
    begin
      StringGrid1.Rows[i+1].Add(IntToStr(i));
      StringGrid1.Rows[i+1].Add(Chart1[0].XValues.ValueToString(i));
      StringGrid1.Rows[i+1].Add(FormatFloat('#0.##', Chart1[0].YValue[i]));

      if Chart1[0].IsNull(i) then
        StringGrid1.Rows[i+1].Add('NULL');
    end;
  end;
end;

end.
